<?php

/**
 * @class m121105_160731_tbl_candidatos_areas_funcionales
 * @var $this CDbMigration
 * @package application.migrations
 */

class m121105_160731_tbl_candidatos_areas_funcionales extends CDbMigration {

    public function safeUp() {
        $this->createTable('tbl_candidatos_areas_funcionales', array(
            'id' => 'pk',
            'id_candidato' => 'integer NOT NULL',
            'id_area_funcional' => 'integer NOT NULL',
        ), 'ENGINE=InnoDB CHARSET=utf8');

        $this->addForeignKey('fk_candidatos_areas_funcionales_1', 'tbl_candidatos_areas_funcionales', 'id_candidato', 'tbl_candidatos', 'id', 'CASCADE', 'CASCADE');
        $this->addForeignKey('fk_candidatos_areas_funcionales_2', 'tbl_candidatos_areas_funcionales', 'id_area_funcional', 'tbl_sectores_areas_funcionales', 'id', 'CASCADE', 'CASCADE');        
    }

    public function safeDown() {
        $this->dropForeignKey('fk_candidatos_areas_funcionales_2', 'tbl_candidatos_areas_funcionales');
        $this->dropForeignKey('fk_candidatos_areas_funcionales_1', 'tbl_candidatos_areas_funcionales');
        $this->dropTable('tbl_candidatos_areas_funcionales');
    }

}